org.apache.felix.ipojo.architecture

## Interface Architecture

All Known Implementing Classes:
  ArchitectureHandler

    public interface Architecture

Architecture service. This service allows collecting information on the component instance, such as its state, plugged handlers ...

Author:
  Felix Project Team

### Field Summary

Fields
`static java.lang.String` `ARCHITECTURE_INSTANCE` Architecture service must published this property telling which instance they are representing.

### Method Summary

All Methods Instance Methods Abstract Methods
`InstanceDescription` `getInstanceDescription()` Returns the description of the instance.

### Field Detail

#### ARCHITECTURE_INSTANCE

    static final java.lang.String ARCHITECTURE_INSTANCE

Architecture service must published this property telling which instance they are representing.

See Also:
  Constant Field Values

### Method Detail

#### getInstanceDescription

    InstanceDescription getInstanceDescription()

Returns the description of the instance.

Returns:
  the component instance description